IPCALC(1)

NOME
ipcalc - executar manipulação simples de endereços IP

SINOPSIAS
ipcalc [OPTION]... <IP address>[/prefix] [netmask]

DESCRIÇÃO
ipcalc fornece um caminho simples para calcular informação do IP para um host. As várias opções específica que informação ipcalc deveria ser exibida na saída padrão. Múltiplas opções podem ser especificadas. Um endereço de IP para operar deve ser sempre especificado. Muitas operações também requerem uma máscara de rede ou um prefixo CIDR também.

OPÇÕES

-b, --broadcast
    Exibir o endereço de difusão para o endereço de IP e para a máscara de rede dados.

-h, --hostname
    Exibir o nome do host para o endereço de IP dado.

-m, --netmask
    Calcular a máscara de rede para o endereço de IP dado. Ele assume que o endereço de IP está em uma rede de classe A, B ou C completa. Várias redes não usam as máscaras de rede padrão, no caso um valor inapropriado será retornado.

-p, --prefix
    Mostrar o prefixo para o endereço de IP/máscara dado.

-n, --network
    Exibe o endereço de rede para o endereço de IP e a rede dados.

-s, --silent
    Nunca exibir mensagens de erros.

AUTORES
Erik Troan <ewt@redhat.com>
Preston Brown <pbrown@redhat.com>

RELATAR ERROS
Relatar erros para nosso sistema de controle de erro: http://bugzilla.redhat.com/bugzilla.

COPYRIGHT
Copyright © 1997-2001 Red Hat, Inc.
Este é um software livre; olhe o fonte para condições de cópia. Não há NENHUMA garantia; nem mesmo para CORMECIALIZAÇÃO ou APTIDÃO PARA UM PROPÓSITO PARTICULAR.

OLHAR TAMBÉM
ipcalc(3)